package com.sabirjan.Kanun;

import java.util.ArrayList;
import java.util.List;
import java.util.Vector;
import android.util.Log;

public class GetUyghursent {
    private String uyghurchars="\u0627\u06D5\u0628\u067E\u062A\u062C\u0686\u062E\u062F\u0631\u0632\u0698\u0633\u0634\u063A\u0641\u0642\u0643\u06AF\u06AD\u0644\u0645\u0646\u06BE\u0648\u06C7\u06C6\u06C8\u06CB\u06D0\u0649\u064A\u0626";
    
    public  String[] NewsList(String text)
    {
    	String []str=null;
    	try
    	{
    		//String strText="*****جۇڭخۇا خەلق جۇمھۇرىيىتىنىڭ يېمەكلىك بىخەتەرلىكى قانۇنى  ***** جۇڭخۇا خەلق جۇمھۇرىيىتى رەئىسىنىڭ پەرمانى*****9 – نومۇرلۇق*****‹‹جۇڭخۇا خەلق جۇمھۇرىيىتىنىڭ يېمەكلىك بىخەتەرلىكى قانۇنى›› 2009 – يىل 2 – ئاينىڭ 28 – كۈنى جۇڭخۇا خەلق جۇمھۇرىيىتى 11 – نۆۋەتلىك مەملىكەتلىك خەلق قۇرۇلتىيى دائىمىي كومىتېتىنىڭ 7 – يىغىنىدا ماقۇللىنىپھازىر ئېلان قىلىندى، 2009 – يىل 6 – ئاينىڭ 1 – كۈنىدىن باشلاپ يولغا قويۇلسۇن.*****";
    		//System.out.println("=============="+strText); 
    		str=SplitString(text,"####");
    	///	str=SplitString(strText+""," ");
    	}
    	catch(Exception ex)
    	{
    		
    	}
    	return str;
    }
    
    
    ///////////////////
    
	private String[] SplitString(String input,String regex)
	{
		//取字符串的起始位置
		int startindex=0;
		//将结构数据现放入到vector里面
		ArrayList<String> list=new ArrayList<String>();
		String []str={""};
		
	try
	{
		int index=0;
		
		startindex=input.indexOf(regex);
		while((startindex<input.length())&startindex!=-1)
		{
			
			String temp=input.substring(index,startindex).trim();
			if(temp.trim().length()>0)
				list.add(temp);
			index=startindex+regex.length();
			startindex=input.indexOf(regex,startindex+regex.length());
		}
		str=new String[list.size()];
		int j=0;
		for(int i=list.size()-1;i>=0;i--)
		{
			str[j]=(String)list.get(i);
			j++;
		}
	}
	catch(Exception ex)
	{
		str[0]=ex.getMessage();
	}
		return str;
	}
    
    
    
    
    
    
    
    
    /////////////////////////////
    
    
}
